Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# QDLWidgetClient Class Reference

The QDLWidgetClient class is a QDLClient that interfaces with a widget. More...

`#include <qtopia/qdl.h>`

Inherits QDLClient.

List of all member functions.

## Public Members

- QDLWidgetClient ( QWidget * w, const char * name )
- ContextMenu * setupStandardContextMenu ( ContextMenu * context = 0 )
- virtual void addLink ( const QDLLink & newLink )
- virtual void setLink ( uint lid, const QDLLink & newLink )
- virtual void removeLink ( uint lid )
- QString hint () const

## Public Slots

- void requestLink ()
- virtual void verifyLinks ()

## Protected Members

- virtual QString text () const

## Detailed Description

The QDLWidgetClient class is a QDLClient that interfaces with a widget.

A QDLWidgetClient has all the capabilities of a QDLClient, but also depends on a widget and interfaces with its text.

A QDLWidgetClient can currently interface with the following widgets.

- QLineEdit
- QMultiLineEdit

Other widgets may be supported in later releases of Qtopia.

See also Qtopia Classes.

## Member Function Documentation

### QDLWidgetClient::QDLWidgetClient ( QWidget * w, const char * name )

Constructs a QDLWidgetClient with w as the parent and the monitored widget. name is passed on to QObject.

### void QDLWidgetClient::addLink ( const QDLLink & newLink )`[virtual]`

Adds newLink to the client. A new link identifier is generated. The link is also added into the widget's text.

Reimplemented from QDLClient.

### QString QDLWidgetClient::hint () const

Returns the request hint for this widget. If a hint has not been explicitly set with QDLClient::setHint(), then this function tries to dynamically determine the hint from the text of the client's widget, otherwise it just returns QDLClient::hint()

### void QDLWidgetClient::removeLink ( uint lid )`[virtual]`

Removes the link specified by the link identifier lid. It is removed from QDLClient and in the widget's text.

Reimplemented from QDLClient.

### void QDLWidgetClient::requestLink ()`[slot]`

Convenience function. Simply calls QDLClient::requestLink() with the client's widget as parent.

### void QDLWidgetClient::setLink ( uint lid, const QDLLink & newLink )`[virtual]`

Sets the link specified by the link identifier lid to newLink both in QDLClient and in the widget's text. If no link for lid currently exists, it is created and added to the widget's text.

Reimplemented from QDLClient.

### ContextMenu * QDLWidgetClient::setupStandardContextMenu ( ContextMenu * context = 0 )

Automatically creates a standard 'Insert Link' action in the ContextMenu specified by context. If context is 0, a new ContextMenu is created.

The action is connected to QDLWidgetClient::requestLink().

### QString QDLWidgetClient::text () const`[virtual protected]`

Returns the text of the client's widget.

### void QDLWidgetClient::verifyLinks ()`[virtual slot]`

Verifies that all internal links of QDLClient exist in the widget's text. Any internal link that doesn't exist in the widget's text is removed.

Reimplemented from QDLClient.

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.